ts.union {stats} | R Documentation

## Bind Two or More Time Series

### Description

Bind time series which have a common frequency. `ts.union` pads with `NA`s to the total time coverage, `ts.intersect` restricts to the time covered by all the series.

### Usage

    ts.intersect(..., dframe = FALSE)
    ts.union(..., dframe = FALSE)

### Arguments

`...` | two or more univariate or multivariate time series, or objects which can coerced to time series.
`dframe` | logical; if `TRUE` return the result as a data frame.

### Details

As a special case, `...` can contain vectors or matrices of the same length as the combined time series of the time series present, as well as those of a single row.

### Value

A time series object if `dframe` is `FALSE`, otherwise a data frame.

### See Also

`cbind`.

### Examples

    ts.union(mdeaths, fdeaths)
    cbind(mdeaths, fdeaths) # same as the previous line
    ts.intersect(window(mdeaths, 1976), window(fdeaths, 1974, 1978))

    sales1 <- ts.union(BJsales, lead = BJsales.lead)
    ts.intersect(sales1, lead3 = lag(BJsales.lead, -3))

[Package stats version 3.6.0 Index]